commit:     f914ef4a107258f55aea6a68389f31635e6a64da
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Apr  5 05:23:26 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Apr  5 05:23:26 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f914ef4a

dev-python/django-configurations: Bump to 2.4.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/django-configurations/Manifest          |  1 +
 .../django-configurations-2.4.1.ebuild             | 44 ++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-python/django-configurations/Manifest 
b/dev-python/django-configurations/Manifest
index 290a53ddecff..eb8dcf7979b6 100644
--- a/dev-python/django-configurations/Manifest
+++ b/dev-python/django-configurations/Manifest
@@ -1 +1,2 @@
+DIST django-configurations-2.4.1.tar.gz 42952 BLAKE2B 
3ed30642b256a648ab5932edd9b2cb5b2a82e69bb1107a5c2bd20d230cbb598f21eddcf52956bf80d6fe3c6e6336c70dfadf2fc5a646dcd32782abc782fe8e32
 SHA512 
ab35216b326d50d779344efa915d516ffa4a1d5e627c77b27071f6d51c54ea367a0f7ec5a7b768cabd69929499dfeb3e5719ba8fbe690f6854d92ee45a04bf1d
 DIST django-configurations-2.4.gh.tar.gz 38563 BLAKE2B 
a454cc492354c1b969a1b0389ccb21088e99af17b5056ae514b36b5c2fd7391368437093d1a075814dfb8e15ec8ce3ec3c5269d5c867b4a03a5269a533826a31
 SHA512 
de9793c5fce869ef77e4396dd5ea45fc57728d702383885599d3a08b16e37e0e425258aacd671ac78592df813c8fa3a08b33ad9410843f7d7976589da33592ca

diff --git 
a/dev-python/django-configurations/django-configurations-2.4.1.ebuild 
b/dev-python/django-configurations/django-configurations-2.4.1.ebuild
new file mode 100644
index 000000000000..6f18a81241c0
--- /dev/null
+++ b/dev-python/django-configurations/django-configurations-2.4.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A helper for organizing Django settings"
+HOMEPAGE="
+       https://pypi.org/project/django-configurations/
+       https://github.com/jazzband/django-configurations/
+       https://django-configurations.readthedocs.io/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=dev-python/django-3.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       dev-python/setuptools-scm[${PYTHON_USEDEP}]
+       test? (
+               dev-python/django-cache-url[${PYTHON_USEDEP}]
+               dev-python/dj-database-url[${PYTHON_USEDEP}]
+               dev-python/dj-email-url[${PYTHON_USEDEP}]
+               dev-python/dj-search-url[${PYTHON_USEDEP}]
+       )
+"
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+       local -x DJANGO_SETTINGS_MODULE=tests.settings.main
+       local -x DJANGO_CONFIGURATION=Test
+       PYTHONPATH=. django-cadmin test -v2 || die "Tests failed with 
${EPYTHON}"
+}

Reply via email to